QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
QXmppSrvInfo Class Reference

The QXmppSrvInfo class provides static methods for DNS SRV lookups. More...

`#include <QXmppSrvInfo.h>`

List of all members.

## Public Types
enum | Error { NoError = 0, NotFoundError = 1, UnknownError = 2 }
| This enum is used to describe the error encountered during lookup.
## Public Member Functions
| QXmppSrvInfo ()
| Constructs an empty service info.
| QXmppSrvInfo (const QXmppSrvInfo &other)
| Constructs a copy of other.
| ~QXmppSrvInfo ()
| Destroys a service info.
Error | error () const
QString | errorString () const
QList< QXmppSrvRecord > | records () const
## Static Public Member Functions
static QXmppSrvInfo | fromName (const QString &dname)
static void | lookupService (const QString &name, QObject *receiver, const char *member)

## Detailed Description

The QXmppSrvInfo class provides static methods for DNS SRV lookups.

## Member Function Documentation

QXmppSrvInfo::Error QXmppSrvInfo::error | ( |  | ) | const

Returns the type of error that occurred if the service lookup failed; otherwise returns NoError.

QString QXmppSrvInfo::errorString | ( |  | ) | const

If the lookup failed, this function returns a human readable description of the error.

QXmppSrvInfo QXmppSrvInfo::fromName | ( | const QString & | dname | ) | `[static]`

Perform a DNS lookup for an SRV entry.

Returns a QXmppSrvInfo object containing the found records.

Parameters:

  dname |

void QXmppSrvInfo::lookupService | ( | const QString & | name,
|  | QObject * | receiver,
|  | const char * | member
| ) |  | `[static]`

Performs a DNS lookup for an SRV entry. When the result of the lookup is ready, the slot or signal member in receiver is called with a QXmppSrvInfo argument.

QList< QXmppSrvRecord > QXmppSrvInfo::records | ( |  | ) | const

Returns the list of records associated with this service.

The documentation for this class was generated from the following files:

- QXmppSrvInfo.h
- QXmppSrvInfo.cpp

All Classes Functions Enumerations Enumerator Properties